Privacy level may be ignored for broadcasted data
When working on bug 951675 I forgot to remote the .updateField() and .removeField() calls that put broadcasted data into the TabStateCache. This fixes some intermittent failures that occur with the patch from bug 947212 where data remains in the tabState object although the PrivacyLevelFilter would have removed it.